2007-11-24 딛고에서 Mplayer설치과정...실패기록

LOG/둔대2기(06-08) 2007. 11. 24. 00:50    Print Friendly Version of this pagePrint Get a PDF version of this webpagePDF
Mplayer  설치과정

유용한 사이트 
1. rpm찾아주는 사이트 http://rpm.pbone.net/
2.레드햇 페도라 ftp사이트  download.fedora.redhat.com


1.http://www.mplayerhq.hu/design7/dload.html 사이트에서 소스파일을 받았습니다. 파일의 이름은 Mplayer-1.0rc2.tar.tar 입니다. 이 파일의 압축을 풀면 디렉토리가 하나 생깁니다.
Tar xvf  Mplayer-1.0rc2.tar.tar

2../configure –enable-gui 로 설치를 시도하면 gcc 컴파일러 문제가 생깁니다. gcc컴파일러 3 버전이 필요한데 현재 딛고에는 gcc 4버전이 설치되어 있기 때문입니다. 이를 해결하기 위해서는 다음과 같은 패키지를 설치해야 합니다
compat-libstdc++-33
compat-libstdc++-296
compat-gcc-32
compat-gcc-32-c++

이들은 다행히도 간단하게 yum으로 설치가 됩니다. 아래와 같은 명령어로 설치했지요.
yum install compat-libstdc++-33
yum install compat-libstdc++-296
yum install compat-gcc-32
yum install compat-gcc-32-c++

3.그리고 다시 컨피규어를 시도하니 이번엔 X11 support required for GUI compilation오류가 뜹니다. 이를 해결하기 위해서는 xorg-x11-devel-6.7.0-14.i386.rpm 이 필요하다는 것을 인터넷에서 찾아서 이를 찾아 보았더니 레드햇 ftp사이트에서 찾을 수 있었습니다. 
download.fedora.redhat.com/pub/fedora/linux/core/updates/2/i386/xorg-x11-devel-6.7.0-14.i386.rpm
이 사이트는 참 유용하더군요. 딛고 2005는 레드햇 페도라 2 기반인데 관련 프로그램들이 몽땅 들어 있는 겁니다. 다음과 같은 명령으로 설치 시도합니다.

rpm -Uvh xorg-x11-devel-6.7.0-14.i386.rpm 

결과는 의존성 오류였습니다. 더 필요한 프로그램들이 있다네요. 필요한 것은 xorg-x11-libs-6.7.0-14.i386.rpm 였지요. 같은 사이트에서 다운로드 하여 먼저 설치를 시도했습니다.

rpm -Uvh xorg-x11-libs-6.7.0-14.i386.rpm

이번엔 또 뭐가 필요하다고 합니다. xorg-x11-libs-data-6.7.0-14 이 먼저 설치되어야 한대나요. 다시 그 사이트에서 다운로드하여 설치합니다.

rpm -Uvh xorg-x11-libs-data-6.7.0-14.i386.rpm  하니 문제없이 설치됩니다.

다시 한 단 계 위 설치 과정을 되풀이했습니다.

rpm -Uvh xorg-x11-libs-6.7.0-14.i386.rpm

하고 나서 xorg-x11-devel-6.7.0-14.i386.rpm 의 경우 그래픽 환경의 Software Installer로 설치를 시도해 봤습니다. 그러니 여전히 의존성 문제가 나기는 한데 다음 버튼을 누르니 소프트웨어가 알아서 필요한 패키지를 찾아 설치해 주네요. 처음부터 이렇게 해 볼걸 그랬습니다. 

4.다시 컨피규어를 실행했습니다 (2번의 과정입니다) 그러니 x11부분은 넘어가는데 이번엔 GTK 문제가 나옵니다. The GUI requires GTK devel packages 라고요.

5.이러다가 혹시나 해서 이전에 설치했던 xorg관련 프로그램들을 rpm -e 명령으로 삭제한 뒤에 다시 설치를 시도해 보았답니다. 

참, 그 와중에 업데이터 프로그램을 실행시켜서 업데이트  가능한 프로그램들을 업데이트 시도 했네요. 한참 다운로드 받다가 업데이트를 시도하고 예전에 있던 프로그램들을 지우더군요. 


6.GTK+의존성 문제가 나오길래 GTK를 기본으로 사용하는 그놈세션에서는 잘 되나 확인해 보려고 로그아웃하고 로그인 화면에서  세션을 기본(그놈)으로 바꾼뒤 로그인했습니다. 
그런데 그놈세션의 터미널에서 컨피규어를 시도하니까 다른 에러메세지가 나오네요. X11 shape가 없으니 그걸 설치하랍니다. 
이 그놈세션에서는 소프트웨어 인스톨러도 실행이 안되더군요. 다시 KDE세션으로 바꾸고 나서도 소프트웨어 인스톨러가 실행이 안됩니다. 뿐만 아니라 시작 버튼의 시스템에 있는 소프트웨어 업데이터도 실행이 안되네요, 터미널 화면에서 yum도 안되구요. 제가 뭔가 중요한 파일들을 지웠나 본데 뭔지는 모르겠습니다. 

7.일단 다시 포기합니다....
tags : ,
Trackbacks 0 : Comments 0

Write a comment